# Sinara 2245 LVDS DIO card

* [Wiki](https://github.com/sinara-hw/DIO_LVDS_RJ45/wiki)
* [Datasheet](https://m-labs.hk/docs/sinara-datasheets/2245.pdf)

## JSON

Be aware of the reversed EEM order on the card:

```json
[
  {
    "type": "dio",
    "board": "DIO_LVDS",
    "ports": [1],
    "bank_direction_low": "input",
    "bank_direction_high": "input",
    "edge_counter": false // or true
  }, 
  {
    "type": "dio",
    "board": "DIO_LVDS",
    "ports": [0],
    "bank_direction_low": "output",
    "bank_direction_high": "output"
  }
]
```

## Setup

Switch DIPs in required position per each channel individually. Each RJ45 have 4 channels.

## Testing

You can test channels by connecting Ethernet RJ45 cable. Since the artiq_sinara_tester allows to choose only one DIO
port, you will need to run the test 4 times and choose different output source and track that every 4th is passing the test. 
It is also incompatible with other TTL cards, so you will need to use same or other LVDS card for proper testing.