# Sinara 5108 Sampler

## JSON

```json
{
  "type": "sampler",
  "ports": [<port num>, <port num>],
  "hw_rev": "<hw rev>" // optional
}
```

## Testing

After running `artiq_sinara_test`:

```text
*** Testing Sampler ADCs.
Testing:  samplerX
Apply 1.5V to channel 0. Press ENTER when done.

PASSED
Apply 1.5V to channel 1. Press ENTER when done.

...

PASSED
Apply 1.5V to channel 7. Press ENTER when done.

PASSED
```

1. Apply 1.5V (connect the AA-battery) to the `samplerX`'s requested channel
2. Press `Enter`, the `artiq_sinara_test` should output `PASSED`
3. Repeat steps 1-2 for every available channel.